Subject: RE: [bug#73103] TR:

From: outlook user <[email-masked]>
Date: Wed, 18 Dec 2024 07:00:09 +0000

>>>> Alternatively, Zen browser publishes a tar, which
>>> Better install it with an scm if it's not to use AppImage. But do you have instructions to make work the tar?
>> I don’t know how to do that.
> the binary packaged in my channel
There should be a place where all that is advertised (outside Guix official channels to avoid conflict when that applies). I'm so clueless personally

> streams not playing
You mean like Twitch or YouTube or videocall or something else? Personally with the AppImage everything was working fine (but I haven't checked everything possible)

> running on native wayland
What was the workaround/solution? Personally it receives the order to use WayLand

```html
<table xmlns="http://www.w3.org/1999/xhtml">
  <tbody id="graphics-features-tbody">
    <tr>
      <td style="white-space: pre-wrap">
        EGL_EXTENSIONS(nullptr): EGL_EXT_platform_wayland
        EGL_KHR_platform_wayland
      </td>
    </tr>
    <tr>
      <td style="white-space: pre-wrap">
        EGL_EXTENSIONS(nullptr): EGL_EXT_platform_wayland
        EGL_KHR_platform_wayland
      </td>
    </tr>
  </tbody>
</table>
<table xmlns="http://www.w3.org/1999/xhtml" class="prefs-table">
  <tbody id="environment-variables-tbody">
    <tr>
      <td class="pref-name">MOZ_ENABLE_WAYLAND</td>
      <td class="pref-value">1</td>
    </tr>
```

but

```html
    <tr>
      <th class="column" data-l10n-id="graphics-window-protocol">
        Window Protocol
      </th>
      <td style="white-space: pre-wrap">x11</td>
    </tr>
  </tbody>
</table>
```

> use the channel
Last time I messed with channels I've had to maintain a whole version control system **just** to figure out what wasn't working, took me, idk, months of maintenance time, weeks of mind time and maybe hours/day of actual time. Maybe you know a foolproof way or something?

> search in toys
IIRC when I wanted first to use it I tried Toys but found nothing, or maybe it was for another browser, but pretty sure it was for Zen

>>>> The best thing to do would of course be to package it inside guix,
>>> Exactly, I tried many times on my side but it's really difficult. Many way to skin a cat plus each software is it's own adventure even if you can take basis on sister package
>> Yeah, the browser packages look really complex.  Good luck to you if you
> little to no success
Yeah Guix do love that we do things the Guix way, and using a tool to prepare a binary to be used non-Guix way makes Guix no happy